---

- hosts: ntp_servers
  tags: time
  tasks:
    - name: "Deploy NTP Service"
      include_role:
        name: chrony
      vars:
        servers_preferred: "{{ ntp.servers_preferred }}"
        servers: "{{ ntp.servers }}"
        is_server: True
        allow_list: "{{ cage_subnets }}"

# NTP server dedicated to the management VLAN due to Catatonic limitations
- hosts: catton.osci.io
  tags: time
  tasks:
    - name: "Deploy NTP Service"
      include_role:
        name: chrony
      vars:
        servers_preferred: "{{ groups['ntp_servers'] | map('extract', hostvars) | map(attribute='ntp') | map(attribute='dns_name') | list }}"
        is_server: True
        allow_list:
          - "{{ cage_vlans['OSCI-Management'].subnet }}"

